#include <iostream>
using namespace std;


int main()
{
	int izlaz;
	int n;
	int k;
	cin >>n>>k;
	int niz[n];
	if(n==2)
	{
		for(int i=0; i<2; i++)
		{
			cin>>niz[i];
			if(niz[i]!=k) izlaz=niz[i];
		}
	}
	else
	{
		for(int i=0; i<n; i++)
		{
			cin>>niz[i];
			if(niz[i]==k) izlaz=i;
		}
		if(izlaz==n-1) izlaz=niz[0];
		else izlaz=niz[izlaz+1];
	}
	cout<<izlaz;
	return 0;
}